-   Create a space
-   to host a list of resources
-   to explore the documentation of coding related practices
-   for situated software
-   and articulate it as a form of care

<br>

-   Target public
-   people in small communities
-   related to software
-   _Examples_
-   Soupboat
-   Breadcube
-   XPUB
-   Varia
-   OSP
-   Konstant
-   Autonomic
-   100R
-   etc

<br>

-   Why a space?
-   Why a list?
-   Why resources?
-   Why not just a manual on how to write the perfect software documentation?

<br>

-   It's tricky!
-   🤧

<br>

-   There is no such a thing as a magic solution for perfect documentation
-   While there are documentation frameworks that help naming and structuring things
-   these usually cover just generic approach for technical writing
-   Situated software has more to offer than a generic approach
-   sprouting from specific contexts
-   it can depend on particular knowledges and skills
-   that differ in each community

<br>

-   This diversity means
-   manifold of ideas and ways to document
-   hence a list of resources
-   someone would call it site specific software
-   someone else situated knowledges

<br>

-   Different resources come from different communities
-   It is not guaranted for them to be interchangeable
-   nor to be effective or either meaningful for everyone else
-   Yet, to be together in this list could be a way to interfere with each other
-   To create perspective and inspire new strategies

<br>

-   So the need for a space where to host the list
-   What are the feature of this space?
-   Open to contributions
-   A bit structured
-   A bit loose
-   Is it a platform?
-   Could it be something different than a website?
-   Could it work without browser's technology?
-   Could it have less environmental impact?
-   Could it be simple and lightweight?
-   Could it inhabit existing documentations?
-   A strange hyper tagging system?

<br>

-   _Idea_
-   **Federated list**
-   should it follow the concepts of the Fediverse?
-   several instances of this list
-   growing from specific groups or cluster of groups
-   each community curates it's own list
-   this is interesting
-   is it different from a normal feed?
-   yes
-   because the contents are curated
-   not just aggregated
-   how is it structured?
-   each instance has a server
-   and offer access for clients
-   _again_ could this be something different than a website?
-   actually and ideally
-   every instance could decide on the form
-   more like a mesh
-   a tapestry

<br>

-   So what is this?
-   A social network in the fediverse?
-   A federated code of conduct?
-   An entangled soup of documentation resources?
-   I don't know yet
-   But i can imagine a process:

<br>

-   _1_
-   Starting super small
-   We
-   (XPUB2 + me)
-   write some documentation around the Soupboat
-   collecting resources
-   experimenting techniques
-   taking care
-   _2_
-   (around march?)
-   the system is offered to others
-   that means either
-   giving workshops
-   or just showcasing the soupboat
-   inviting other communities to try it as well
-   (xpub1)
-   (that autralian collective)
-   (varia)
-   _3_
-   let's see

<br>

-   **ok no**

-   Software documentation as a form of care

<br>

-   Code and documentation can live together
-   like in the [soup gen](https://hub.xpub.nl/soupboat/soup-gen/)
-   ![soup gen info](img/soup-gen.png)
-   Documentation and doubts can share the same space
-   ![soup gen doubt](soup-gen-q.png)

<br>
